import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(TestApplication());
}

class TestApplication extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Test Application',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MainPage(),
    );
  }
}

class MainPage extends StatefulWidget {
  @override
  _MainPageState createState() => _MainPageState();
}

class _MainPageState extends State<MainPage> {
  String _dialogResult = '';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: CupertinoNavigationBar(
        middle: Text('Test Application'),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            CupertinoButton(
              borderRadius: BorderRadius.circular(16.0),
              color: Colors.orange,
              child: Text('RUN'),
              onPressed: () async {
                String result = await showDialog(
                  context: context,
                  builder: (context) => CupertinoAlertDialog(
                    title: Text('확인'),
                    content: Text('다음 작업을 진행하시겠습니까?'),
                    actions: [
                      CupertinoDialogAction(
                        child: Text('확인'),
                        onPressed: () {
                          Navigator.of(context).pop('OK');
                        },
                      ),
                      CupertinoDialogAction(
                        child: Text('취소'),
                        onPressed: () {
                          Navigator.of(context).pop('CANCEL');
                        },
                      ),
                    ],
                  ),
                );

                setState(() {
                  _dialogResult = result;
                });
              },
            ),
            Text(
              '결과 : $_dialogResult',
            ),
          ],
        ),
      ),
    );
  }
}